Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class AuditConfig

    java.lang.Object
      com.bea.dsp.management.beans.AuditConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class AuditConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

Global audit configuration at the data space level.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AuditConfig.SeverityLevel` Audit severity levels.

Method Summary
`java.util.Map<java.lang.String,AuditGroupConfig>` | `getGroups()` Returns a map of the audit groups.
`AuditConfig.SeverityLevel` | `getSeverityLevel()` Returns the global severity level ie the level of information to be captured by the auditing process.
`boolean` | `isAsynchronous()` Returns `true` if auditing has to happen asynchronously.
`boolean` | `isAuditConfiguration()` Returns `true` if configuration changes has to be audited.
`boolean` | `isAuditQueries()` Returns `true` if queries has to be audited.
`boolean` | `isAuditUpdates()` Returns `true` if updates has to be audited
`boolean` | `isEnabled()` Returns `true` if auditing is enabled.
`boolean` | `isIncrementalAuditDispatch()` When true audit events may be dispatched even before the entire operation (query, etc) completes.
`boolean` | `isLogged()` Returns `true` if auditing information is to be included in the application server log file.
`void` | `setAsynchronous(boolean asynchronous)`
`void` | `setAuditConfiguration(boolean auditConfiguration)`
`void` | `setAuditQueries(boolean auditQueries)`
`void` | `setAuditUpdates(boolean auditUpdates)`
`void` | `setEnabled(boolean enabled)`
`void` | `setGroups(java.util.Map<java.lang.String,AuditGroupConfig> groups)` The passed audit config groups are updated when this bean is sent back to the mbean api.
`void` | `setIncrementalAuditDispatch(boolean incrementalAuditDispatch)`
`void` | `setLogged(boolean logged)`
`void` | `setSeverityLevel(AuditConfig.SeverityLevel severityLevel)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isAsynchronous

    public boolean isAsynchronous()

  Returns `true` if auditing has to happen asynchronously.

  Returns:
    `true` if auditing has to happen asynchronously

### setAsynchronous

    public void setAsynchronous(boolean asynchronous)

### isAuditConfiguration

    public boolean isAuditConfiguration()

  Returns `true` if configuration changes has to be audited.

  Returns:
    `true` if configuration changes has to be audited

### setAuditConfiguration

    public void setAuditConfiguration(boolean auditConfiguration)

### isAuditQueries

    public boolean isAuditQueries()

  Returns `true` if queries has to be audited.

  Returns:
    `true` if queries has to be audited

### setAuditQueries

    public void setAuditQueries(boolean auditQueries)

### isAuditUpdates

    public boolean isAuditUpdates()

  Returns `true` if updates has to be audited

  Returns:
    `true` if updates has to be audited

### setAuditUpdates

    public void setAuditUpdates(boolean auditUpdates)

### isEnabled

    public boolean isEnabled()

  Returns `true` if auditing is enabled.

  Returns:
    `true` if auditing is enabled

### setEnabled

    public void setEnabled(boolean enabled)

### getGroups

    public java.util.Map<java.lang.String,AuditGroupConfig> getGroups()

  Returns a map of the audit groups. The audit group name is the key of the returned map. All the defined audit groups are returned.

  Returns:
    a map of all the audit groups

### setGroups

    public void setGroups(java.util.Map<java.lang.String,AuditGroupConfig> groups)
                   throws ValidationException

  The passed audit config groups are updated when this bean is sent back to the mbean api. Passing null here is equivalent to not updating any audit config group. There is no way one can delete a config group. AuditGroups which are not configurable will not be updated even if they are passed in this method.

  Parameters:
    `groups` -
  Throws:
    `ValidationException`

### isLogged

    public boolean isLogged()

  Returns `true` if auditing information is to be included in the application server log file.

  Returns:
    `true` if auditing information should be logged

### setLogged

    public void setLogged(boolean logged)

### isIncrementalAuditDispatch

    public boolean isIncrementalAuditDispatch()

  When true audit events may be dispatched even before the entire operation (query, etc) completes.

  Returns:
    `true` if audit can be dispatched incrementally

### setIncrementalAuditDispatch

    public void setIncrementalAuditDispatch(boolean incrementalAuditDispatch)

### getSeverityLevel

    public AuditConfig.SeverityLevel getSeverityLevel()

  Returns the global severity level ie the level of information to be captured by the auditing process.

  Returns:
    the global severity level

### setSeverityLevel

    public void setSeverityLevel(AuditConfig.SeverityLevel severityLevel)

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.